Skip to main content
POST
/
conversations
/
{conversation_id}
/
name
Error
A valid request URL is required to generate request examples
{
  "id": "45701982-8118-4bc5-8e9b-64562b4555f2",
  "name": "iPhone Specs Chat",
  "inputs": {
    "city": "San Francisco"
  },
  "status": "normal",
  "introduction": "Welcome! How can I help you today?",
  "created_at": 1705407629,
  "updated_at": 1705411229
}

Documentation Index

Fetch the complete documentation index at: https://docs.dify.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with Bearer. Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences.

Path Parameters

conversation_id
string
required

Conversation ID.

Body

application/json

Request body for renaming a conversation.

user
string
required

The user identifier.

name
string

The name of the conversation. Required when auto_generate is false.

auto_generate
boolean
default:false

Automatically generate the conversation name. When true, the name field is ignored.

Response

Conversation renamed successfully.

id
string<uuid>

Conversation ID.

name
string

Conversation name.

inputs
object

Input variables for the conversation.

status
string

Conversation status. normal for active conversations.

introduction
string

Conversation introduction.

created_at
integer<int64>

Creation timestamp.

updated_at
integer<int64>

Last update timestamp.